package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.CheckTemplateDo;
import com.rongwe.scentity.vo.CheckTemplateVo;

import java.util.List;
import java.util.Map;

/**
 * 检查模板表
 *
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2020-07-17 09:33:23
 */
public interface CheckTemplateService extends IService<CheckTemplateDo> {

    CheckTemplateVo mapToCheckTemplateVo(Map<String,Object> map);

    void saveByVersion(CheckTemplateVo checkTemplateVo);

    void pointCheckCreate(Map<String,Object> map);

    void updateStatusByHiId(Map<String,Object> map);

}

